summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-01-16 21:59:03 +0000
committerZac Medico <zmedico@gentoo.org>2007-01-16 21:59:03 +0000
commitae30c8aad736a8bad526c5a64ebf40e07ff7c0d6 (patch)
tree604761f57af60897c5e4c31106fb4169f28389ca
parentAllow --usepkgonly/--getbinpkgonly to work with installed deps when binpkgs a... (diff)
downloadportage-multirepo-ae30c8aad736a8bad526c5a64ebf40e07ff7c0d6.tar.gz
portage-multirepo-ae30c8aad736a8bad526c5a64ebf40e07ff7c0d6.tar.bz2
portage-multirepo-ae30c8aad736a8bad526c5a64ebf40e07ff7c0d6.zip
Use the portable -o option for tar. Thanks to Timothy Redaelli <drizzt@gentoo.org> for the patch.
svn path=/main/trunk/; revision=5676
-rwxr-xr-xbin/ebuild.sh17
1 files changed, 5 insertions, 12 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 0b6ac965..02e94701 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -384,13 +384,6 @@ unpack() {
local x
local y
local myfail
- local tarvars
-
- if [ "$USERLAND" == "BSD" ]; then
- tarvars=""
- else
- tarvars="--no-same-owner"
- fi
[ -z "$*" ] && die "Nothing passed to the 'unpack' command"
@@ -412,13 +405,13 @@ unpack() {
myfail="failure unpacking ${x}"
case "${x##*.}" in
tar)
- tar xf "${srcdir}${x}" ${tarvars} || die "$myfail"
+ tar xof "${srcdir}${x}" || die "$myfail"
;;
tgz)
- tar xzf "${srcdir}${x}" ${tarvars} || die "$myfail"
+ tar xozf "${srcdir}${x}" || die "$myfail"
;;
tbz|tbz2)
- bzip2 -dc "${srcdir}${x}" | tar xf - ${tarvars}
+ bzip2 -dc "${srcdir}${x}" | tar xof -
assert "$myfail"
;;
ZIP|zip|jar)
@@ -426,14 +419,14 @@ unpack() {
;;
gz|Z|z)
if [ "${y}" == "tar" ]; then
- tar zxf "${srcdir}${x}" ${tarvars} || die "$myfail"
+ tar zoxf "${srcdir}${x}" || die "$myfail"
else
gzip -dc "${srcdir}${x}" > ${x%.*} || die "$myfail"
fi
;;
bz2|bz)
if [ "${y}" == "tar" ]; then
- bzip2 -dc "${srcdir}${x}" | tar xf - ${tarvars}
+ bzip2 -dc "${srcdir}${x}" | tar xof - ${tarvars}
assert "$myfail"
else
bzip2 -dc "${srcdir}${x}" > ${x%.*} || die "$myfail"